跳轉到主要內容
POST
/
v1
/
images
/
generations
Generate Images
curl --request POST \
  --url https://aihubmix.com/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A cute baby sea otter"
}
'
{
  "created": 123,
  "data": [
    {
      "b64_json": "<string>",
      "url": "<string>",
      "revised_prompt": "<string>"
    }
  ],
  "usage": {
    "input_tokens": 123,
    "total_tokens": 123,
    "output_tokens": 123,
    "input_tokens_details": {
      "text_tokens": 123,
      "image_tokens": 123
    },
    "output_tokens_details": {
      "image_tokens": 123,
      "text_tokens": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

授權

Authorization
string
header
必填

Gateway-issued API key, formatted as sk-gateway-xxxxxxxx. Used by OpenAI-shaped endpoints (/v1/chat/completions, etc.).

主體

application/json
prompt
string
必填

A text description of the desired image(s). The maximum length is 32000 characters for the GPT image models, 1000 characters for dall-e-2 and 4000 characters for dall-e-3.

範例:

"A cute baby sea otter"

model
預設值:dall-e-2

The model to use for image generation. One of dall-e-2, dall-e-3, or a GPT image model (gpt-image-1, gpt-image-1-mini, gpt-image-1.5). Defaults to dall-e-2 unless a parameter specific to the GPT image models is used.

範例:

"gpt-image-1.5"

n
integer | null
預設值:1

The number of images to generate. Must be between 1 and 10. For dall-e-3, only n=1 is supported.

必填範圍: 1 <= x <= 10
範例:

1

quality
enum<string> | null
預設值:auto

The quality of the image that will be generated.

  • auto (default value) will automatically select the best quality for the given model.
  • high, medium and low are supported for the GPT image models.
  • hd and standard are supported for dall-e-3.
  • standard is the only option for dall-e-2.
可用選項:
standard,
hd,
low,
medium,
high,
auto
範例:

"medium"

response_format
enum<string> | null
預設值:url

The format in which generated images with dall-e-2 and dall-e-3 are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated. This parameter isn't supported for the GPT image models, which always return base64-encoded images.

可用選項:
url,
b64_json
範例:

"url"

output_format
enum<string> | null
預設值:png

The format in which the generated images are returned. This parameter is only supported for the GPT image models. Must be one of png, jpeg, or webp.

可用選項:
png,
jpeg,
webp
範例:

"png"

output_compression
integer | null
預設值:100

The compression level (0-100%) for the generated images. This parameter is only supported for the GPT image models with the webp or jpeg output formats, and defaults to 100.

範例:

100

stream
boolean | null
預設值:false

Generate the image in streaming mode. Defaults to false. See the Image generation guide for more information. This parameter is only supported for the GPT image models.

範例:

false

partial_images
integer | null
預設值:0

The number of partial images to generate. This parameter is used for streaming responses that return partial images. Value must be between 0 and 3. When set to 0, the response will be a single image sent in one streaming event.

Note that the final image may be sent before the full number of partial images are generated if the full image is generated more quickly.

必填範圍: 0 <= x <= 3
範例:

1

size
預設值:auto

The size of the generated images. For gpt-image-2 and gpt-image-2-2026-04-21, arbitrary resolutions are supported as WIDTHxHEIGHT strings, for example 1536x864. Width and height must both be divisible by 16 and the requested aspect ratio must be between 1:3 and 3:1. Resolutions above 2560x1440 are experimental, and the maximum supported resolution is 3840x2160. The requested size must also satisfy the model's current pixel and edge limits. The standard sizes 1024x1024, 1536x1024, and 1024x1536 are supported by the GPT image models; auto is supported for models that allow automatic sizing. For dall-e-2, use one of 256x256, 512x512, or 1024x1024. For dall-e-3, use one of 1024x1024, 1792x1024, or 1024x1792.

範例:

"1024x1024"

moderation
enum<string> | null
預設值:auto

Control the content-moderation level for images generated by the GPT image models. Must be either low for less restrictive filtering or auto (default value).

可用選項:
low,
auto
範例:

"low"

background
enum<string> | null
預設值:auto

Allows to set transparency for the background of the generated image(s). This parameter is only supported for the GPT image models. Must be one of transparent, opaque or auto (default value). When auto is used, the model will automatically determine the best background for the image.

If transparent, the output format needs to support transparency, so it should be set to either png (default value) or webp.

可用選項:
transparent,
opaque,
auto
範例:

"transparent"

style
enum<string> | null
預設值:vivid

The style of the generated images. This parameter is only supported for dall-e-3. Must be one of vivid or natural. Vivid causes the model to lean towards generating hyper-real and dramatic images. Natural causes the model to produce more natural, less hyper-real looking images.

可用選項:
vivid,
natural
範例:

"vivid"

user
string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

範例:

"user-1234"

回應

OK

The response from the image generation endpoint.

created
integer<unixtime>
必填

The Unix timestamp (in seconds) of when the image was created.

data
object[]

The list of generated images.

background
enum<string>

The background parameter used for the image generation. Either transparent or opaque.

可用選項:
transparent,
opaque
output_format
enum<string>

The output format of the image generation. Either png, webp, or jpeg.

可用選項:
png,
webp,
jpeg
size
enum<string>

The size of the image generated. Either 1024x1024, 1024x1536, or 1536x1024.

可用選項:
1024x1024,
1024x1536,
1536x1024
quality
enum<string>

The quality of the image generated. Either low, medium, or high.

可用選項:
low,
medium,
high
usage
Image generation usage · object

For gpt-image-1 only, the token usage information for the image generation.